Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225750 - Merge Review: file
Summary: Merge Review: file
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Bacovsky
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 07:52:16 UTC
jpmahowald: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:36:22 UTC
Fedora Merge Review: file

http://cvs.fedora.redhat.com/viewcvs/devel/file/
Initial Owner: mbacovsk@redhat.com

Comment 1 John Mahowald 2007-02-16 23:29:16 UTC
Needs fixing:
- BuildRoot needs to be changed  http://fedoraproject.org/wiki/Packaging/Guidelines

Good:
+ License OK
+ follows naming guidelines
+ *.la cleaned
+ %clean section
+ devel package


rpmlint on x86_64:
rpmlint on file-4.19-2.fc7.src.rpm
W: file summary-ended-with-dot A utility for determining file types.
E: file tag-not-utf8 %changelog
W: file invalid-license distributable
E: file non-utf8-spec-file file.spec
W: file macro-in-%changelog _includedir
W: file macro-in-%changelog _datadir
W: file mixed-use-of-spaces-and-tabs (spaces: line 42, tab: line 10)
rpmlint on file-4.19-2.fc7.x86_64.rpm
W: file summary-ended-with-dot A utility for determining file types.
E: file tag-not-utf8 %changelog
W: file invalid-license distributable
E: file binary-or-shlib-defines-rpath /usr/bin/file ['/usr/lib64']
rpmlint on file-debuginfo-4.19-2.fc7.x86_64.rpm
E: file-debuginfo tag-not-utf8 %changelog
W: file-debuginfo invalid-license distributable
rpmlint on file-devel-4.19-2.fc7.x86_64.rpm
E: file-devel tag-not-utf8 %changelog
W: file-devel invalid-license distributable
W: file-devel no-documentation
rpmlint on file-libs-4.19-2.fc7.x86_64.rpm
E: file-libs tag-not-utf8 %changelog
W: file-libs invalid-license distributable
E: file-libs library-without-ldconfig-postin /usr/lib64/libmagic.so.1.0.0
E: file-libs library-without-ldconfig-postun /usr/lib64/libmagic.so.1.0.0


without-ldconfig seems bogus, it is in the spec.

Optional cleanup:
+ Change license to Distributable to shut rpmlint up
+ Change spec encoding to ASCII/UTF8
 


Comment 2 Martin Bacovsky 2007-02-19 15:20:51 UTC
BuildRoot fixed, spec is UTF8 now, lincence fixed too. ldconfig was in main
package, not in file-libs - fixed. Rpmlint now produces clean output on all
built rpms.

I hope file is ok now. Thanks for help.

Version: file-4.19-3.fc7
was commited to cvs.

Comment 3 John Mahowald 2007-02-19 17:01:07 UTC
Better. But rpmlint sees an rpath:

rpmlint of file-4.19-3.fc7.x86_64.rpm:E: file binary-or-shlib-defines-rpath /us
r/bin/file ['/usr/lib64']

As per http://fedoraproject.org/wiki/Packaging/Guidelines  file seems to use a
generated libtool script setting rpath, and the linker is smarter than that.

Comment 4 Martin Bacovsky 2007-02-20 14:20:21 UTC
That should be fixed now. Current version is file-4.19-4.fc7.

Comment 5 John Mahowald 2007-02-21 06:48:34 UTC
Looking good.

+ devel and libSubpackages
+ macro usage throughout 
+ ldconfig
everything from comment 1

Approved.


Note You need to log in before you can comment on or make changes to this bug.